@charset "utf-8";

.is-protected {
	position: relative;
	display: block;
	overflow: hidden;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}

.is-protected img {
	-webkit-user-drag: none;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
	pointer-events: none;
}


@media print {
	.is-protected::after {
		display: flex;
		align-items: center;
		justify-content: center;
		width: 100%;
		height: 100%;
		background-color: #C3C3C3;
		position: absolute;
		top: 0;
		left: 0;
		z-index: 10;
		color: #fff;
		white-space: pre;
		text-align: center;
		pointer-events: none;
	}

	.p-mv .is-protected::after {
		content: "本画像は著作権により保護されております。";
		font-size: clamp(1.2em, 3vw, 2.8em);
	}

	.c-card .is-protected::after,
	.link-img-list .is-protected::after {
		content: "本画像は著作権により\A保護されております。";
		font-size: clamp(0.8em, 2.5vw, 1.5em);
	}
}